Bug 735246 - Updating yum-rhn-plugin breaks gnome software updater (pup)
Summary: Updating yum-rhn-plugin breaks gnome software updater (pup)
Keywords:
Status: CLOSED DUPLICATE of bug 734492
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin
Version: 5.7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 23:02 UTC by Ivan Pablo Anauati
Modified: 2018-11-14 10:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 16:49:15 UTC


Attachments (Terms of Use)

Description Ivan Pablo Anauati 2011-09-01 23:02:10 UTC
Description of problem:
After updating the yum-rhn-plugin to 0.5.4-22.el5_7.1, when you execute pup (Applications -> System Tools -> Software Updater) you will get a registration window even though the system is already registered, saying that "Software updates have already been configured for this system". Wether you re-register the system again or refuse to do so, the Software Updater will eventually open but showing "There are no updated packages currently available for your system"

Version-Release number of selected component (if applicable):
yum-rhn-plugin0.5.4-22.el5_7.1

How reproducible:
Always

Steps to Reproduce:
1. Update yum-rhn-plugin to 0.5.4-22.el5_7.1
2. Applications -> System Tools -> Software Updater
3.
  
Actual results:
You will get a registration window even though the system is already registered, saying that "Software updates have already been configured for this system". Wether you re-register the system again or refuse to do so, the Software Updater will eventually open but showing "There are no updated packages currently available for your system"

Expected results:
You get the list of available packages for update.

Additional info:
- You can still update through "yum update", trouble-free.
- Downgrading the yum-rhn-plugin package fixes the issue immediately.

Comment 1 Milan Zázrivec 2011-09-02 16:49:15 UTC

*** This bug has been marked as a duplicate of bug 734492 ***


Note You need to log in before you can comment on or make changes to this bug.